@import '../../../scss/_mixin.scss';
@import '../../../scss/_variaveis.scss';

.flex-header{
	display: flex;
	justify-content: space-between;
	align-items: center;
	height: 100px;
}
form{
	@include respond(null){
		display: none;
	}
	input[type="search"]{
		border:1px solid $cinza2;
		height: 35px;
		width: 300px;
		border-radius: 0px;
	}
	input[type="submit"]{
		background: $red;
		color: $banco;
		height: 35px;
		font-family: $OpenSans-ExtraBold;
		border: none;
		padding: 0 15px;
		text-transform: uppercase;
		position: relative;
		top: 1px;
		left: -1px;
	}
}

.menuBuger{
	display: none;
	@include respond(null){
		display: block;
	}
	.burger {
		width:40px;
		height:30px;
		border:none;
		position:relative;
		cursor:pointer;
		
		&:focus {
		  outline:none;
		}
		&:after,
		&:before,
		span {
		  width:100%;
		  height:4px;
		  border-radius:100px;
		  position:absolute;
		  display:block;
		  background:$preto;
		}
	
		&:after,
		&:before {
		  content:"";
		  transition: 0.3s width 0.4s;
		}
	
		&:after {
		  top:0px;
		  left:0px;
		  margin-top:0px;
		}
	
		&:before {
		  bottom:0px;
		  right:0px;
		  margin-bottom:0px;
		}
	
		span {
		   top:50%;
		   margin-top:-2px;
		   transition: transform 0.3s ;
			&:before {
			  content:"";
			  background:$preto;
			  width:100%;
			  height:4px;
			  border-radius:100px;
			  position:absolute;
			  left:0px;
			  transition: transform 0.3s ;
			}
		}
	
		&.on {
		  &:after {
			transition: all 0.2s;
			width:0%;
			left:0px;
		  }
	
		  &:before {
			 transition: all 0.2s;
			width:0%;
			right:0px;
		  }
	
		  span {
			transform:rotate(45deg);
			transition: 0.3s transform 0.4s ;
			&:before {
			  transform:rotate(-90deg);
			  transition: 0.3s transform 0.4s ;
			}
		  }
	
	
		}
	}

}
img{
	width: 200px;
	@include respond(null){
		width: 160px;
	}
}
.search{
	display: none;
	border: none;
	background: transparent;
	@include respond(null){
		display: block;
	}
	.icon-color{
		color: $red;
		font-size: 28px;
	}

}

.fundo{
	background: $red;
}
.menu{
	.mobile{
		display: flex;
		align-items: center;
		transition: all .4s;
		display: none;
		@include respond(null) {
			flex-direction: column;
			height: 0;
			overflow: auto;
			position: absolute;
			background: #fff;
			width: 100%;
			left: 0;
			display: block;
		}
		li{
			list-style-type: none;
			margin-right: 25px;
			text-align: center;	
			@include respond(null){
				margin: 10px 0;
			}
			a{
				text-decoration: none;
				color: $banco;
				font-size: 14px;
				text-transform: uppercase;
				transition: all .4s;
				&:hover{
					opacity: .7;
				}
				@include respond(null){
					color: $preto;
				}
			}
			a.active{
				opacity: .7;
			}
		}
	}
	.desktop{
		display: flex;
		align-items: center;
		transition: all .4s;
		padding: 7px 0;
		@include respond(null){
			display: none;
		} 
		li{
			list-style-type: none;
			margin-right: 25px;
			text-align: center;	
			@include respond(null){
				margin: 10px 0;
			}
			a{
				text-decoration: none;
				color: $banco;
				font-size: 14px;
				text-transform: uppercase;
				transition: all .4s;
				&:hover{
					opacity: .7;
				}
				@include respond(null){
					color: $preto;
				}
			}
			a.active{
				opacity: .7;
			}
		}
	}
}
